//
//  ViewController.swift
//  TestIQKeyboardManager
//
//  Created by  Gleb Tarasov on 21/04/2017.
//  Copyright © 2017 Test. All rights reserved.
//

import UIKit
import IQKeyboardManagerSwift

class ViewController: UIViewController, UITextFieldDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()
        IQKeyboardManager.sharedManager().enable = true
        IQKeyboardManager.sharedManager().enable = false
    }

    func textFieldShouldBeginEditing(_ textField: UITextField) -> Bool {
        debugPrint("textFieldShouldBeginEditing \(counter)")
        counter += 1
        return true
    }

    private var counter = 0
}

